org.modeshape.jcr.query.parse

## Class BasicSqlQueryParser.SqlTokenizer

- java.lang.Object
- - org.modeshape.jcr.query.parse.BasicSqlQueryParser.SqlTokenizer

- All Implemented Interfaces:
    TokenStream.Tokenizer
  Enclosing class:
    BasicSqlQueryParser

      public static class BasicSqlQueryParser.SqlTokenizer
      extends Object
      implements TokenStream.Tokenizer

  A `TokenStream.Tokenizer` implementation that parses words, quoted phrases, comments, and symbols. Words are delimited by whitespace and consist only of alpha-number characters plus the underscore character. Quoted phrases are delimited by single-quote and double-quote characters (which may be escaped within the quote). Comments are the characters starting with '/*' and ending with '*/', or starting with '--' and ending with the next line terminator (or the end of the content).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `COMMENT` The token type for tokens that consist of all the characters between "/*" and "*/" or between "--" and the next line terminator (e.g., '\n', '\r' or "\r\n")
    `static int` | `OTHER` The token type for tokens that consist of other characters.
    `static int` | `QUOTED_STRING` The token type for tokens that consist of all the characters within single-quotes, double-quotes, or square brackets.
    `static int` | `SYMBOL` The token type for tokens that consist of an individual "symbol" character.
    `static int` | `WORD` The token type for tokens that represent an unquoted string containing a character sequence made up of non-whitespace and non-symbol characters.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicSqlQueryParser.SqlTokenizer(boolean useComments)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `tokenize(TokenStream.CharacterStream input, TokenStream.Tokens tokens)` Process the supplied characters and construct the appropriate `TokenStream.Token` objects.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WORD

          public static final int WORD

      The token type for tokens that represent an unquoted string containing a character sequence made up of non-whitespace and non-symbol characters.
      See Also:
        Constant Field Values

    - #### SYMBOL

          public static final int SYMBOL

      The token type for tokens that consist of an individual "symbol" character. The set of characters includes: `[]<>=-+(),`
      See Also:
        Constant Field Values

    - #### OTHER

          public static final int OTHER

      The token type for tokens that consist of other characters.
      See Also:
        Constant Field Values

    - #### QUOTED_STRING

          public static final int QUOTED_STRING

      The token type for tokens that consist of all the characters within single-quotes, double-quotes, or square brackets.
      See Also:
        Constant Field Values

    - #### COMMENT

          public static final int COMMENT

      The token type for tokens that consist of all the characters between "/*" and "*/" or between "--" and the next line terminator (e.g., '\n', '\r' or "\r\n")
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BasicSqlQueryParser.SqlTokenizer

          public BasicSqlQueryParser.SqlTokenizer(boolean useComments)

  - ### Method Detail

    - #### tokenize

          public void tokenize(TokenStream.CharacterStream input,
                      TokenStream.Tokens tokens)
                        throws ParsingException

      Description copied from interface: `TokenStream.Tokenizer`
      Process the supplied characters and construct the appropriate `TokenStream.Token` objects.
      Specified by:
        `tokenize` in interface `TokenStream.Tokenizer`
      Parameters:
        `input` - the character input stream; never null
        `tokens` - the factory for `TokenStream.Token` objects, which records the order in which the tokens are created
      Throws:
        `ParsingException` - if there is an error while processing the character stream (e.g., a quote is not closed, etc.)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.